Subject: Megyn Kelly and Controversial Weight Loss Pills (What Really Happened)

From: "Us Weekly News" <[email-masked]>
Date: Thu, 23 Mar 2017 14:37:30 -0700

Your email client cannot support HTML, this email should be read in HTML mode.